unit sfullscr;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs;

type
  TStolliFullScreen = class(TComponent)
  private
    { Private-Deklarationen }
    fmode:boolean;
    fform:tcustomform;
    old,oldh,oldw,oldx,oldy:longint;
    olds:twindowstate;
    procedure setmode(value:boolean);
  protected
    { Protected-Deklarationen }
  public
    { Public-Deklarationen }
  published
    { Published-Deklarationen }
    property Fullscreen:boolean read fmode write setmode;
    property Formular:Tcustomform read fform write fform;
  end;

procedure Register;

implementation

procedure TStolliFullScreen.setmode(value:boolean);
begin
  if value<>fmode then
  begin
    fmode:=value;
    if fmode then
    begin
      old:=GetWindowLong(fform.Handle, GWL_STYLE);
      SetWindowLong(fform.Handle, GWL_STYLE, GetWindowLong(fform.Handle, GWL_STYLE) AND NOT WS_CAPTION);
      oldh:=fform.height;
      oldw:=fform.width;
      oldx:=fform.left;
      oldy:=fform.top;
      olds:=fform.windowstate;
      fform.windowstate:=wsmaximized;
      fform.clientHeight:=screen.Height;
      fform.Refresh;
    end
    else
    begin
      SetWindowLong(fform.Handle, GWL_STYLE, old);
      fform.height:=oldh;
      fform.width:=oldw;
      fform.left:=oldx;
      fform.top:=oldy;
      fform.windowstate:=olds;
//      screen.Realign;
      fform.Refresh;
    end;
  end;
end;

procedure Register;
begin
  RegisterComponents('StolliSoft', [TStolliFullScreen]);
end;

end.
